Bug 1295817 - pdftops doesn't propagate Collate option well
pdftops doesn't propagate Collate option well
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups-filters (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 09:35 EST by Marek Kašík
Modified: 2016-12-20 12:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:38:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Kašík 2016-01-05 09:35:50 EST
Description of problem:
When I add new printer with PPD file Samsung_CLX-9252_9352_Series.ppd which has DefaultCollate set to True and try to print to it with Collate disabled, I get "<</Collate true>> setpagedevice" in the output PostScript file.
I think that there should be "<</Collate false>> setpagedevice" instead. I know that disabled collation is determined by missing collate in the "%%Requirements:" field but having Collate True on different place in the file is at least confusing.
This could be done by always setting collation in filter/pdftops.c:515 not only when it is True.


Version-Release number of selected component (if applicable):
cups-filters-1.4.0-1.fc23.x86_64


How reproducible:
Always


Steps to Reproduce:
1. lpadmin -p test -v file:///home/mkasik/output.ps -P /home/mkasik/Samsung_CLX-9252_9352_Series.ppd
2. cupsenable test
3. cupsaccept test
4. PPD=/home/mkasik/Samsung_CLX-9252_9352_Series.ppd /usr/lib/cups/filter/pdftopdf 1 mkasik Title 2 noCollate document.pdf > document2.pdf
5. PPD=/home/mkasik/Samsung_CLX-9252_9352_Series.ppd /usr/lib/cups/filter/pdftops 1 mkasik Title 2 noCollate document2.pdf > document2.ps
6. cat document2.ps | grep -i Collate


Actual results:
%%BeginFeature: *Collate True
<</Collate true>> setpagedevice


Expected results:
%%BeginFeature: *Collate False
<</Collate false>> setpagedevice


Additional info:
https://bugzilla.gnome.org/show_bug.cgi?id=728344
Comment 1 Fedora Admin XMLRPC Client 2016-06-24 06:32:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-24 09:43:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:38:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.